Переполнение буфера в Ezstream

Дата публикации:
12.03.2007
Всего просмотров:
1609
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ezstream 0.x
Уязвимые версии: Ezstream версии до 0.3.0.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "urlParse()" в файле src/ezstream.c. Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "ReplaceString()" в файле src/ezstream.c. Удаленный пользователь может с помощью специально сформированного xml файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.icecast.org/ezstream.php

Решение: Установите последнюю версию (0.3.0) с сайта производителя.

или введите имя

CAPTCHA